Package opennlp.tools.entitylinker

## Class EntityLinkerFactory

- java.lang.Object
- - opennlp.tools.entitylinker.EntityLinkerFactory

-     public class EntityLinkerFactory
      extends Object

  Generates a `EntityLinker` instances via a `properties` file configuration.

  In the properties file, the linker implementation must be provided using `"linker"` as the properties key, and the full class name as value.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EntityLinkerFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityLinker<?>` | `getLinker​(String entityType, EntityLinkerProperties properties)` | Retrieves a `EntityLinker` instance matching the `properties` configuration.
    `static EntityLinker<?>` | `getLinker​(EntityLinkerProperties properties)` | Retrieves a `EntityLinker` instance matching the `properties` configuration.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityLinkerFactory

          public EntityLinkerFactory()

  - ### Method Detail

    - #### getLinker

          public static EntityLinker<?> getLinker​(String entityType,
                                                  EntityLinkerProperties properties)
                                           throws IOException

      Retrieves a `EntityLinker` instance matching the `properties` configuration.
      Parameters:
        `entityType` - The type of entity being linked to. This value is used to retrieve the implementation of the `EntityLinker` from the `EntityLinker` properties file. Must not be `null`.
        `properties` - An object that extends `EntityLinkerProperties`. This object will be passed into the `EntityLinker.init(EntityLinkerProperties)` method, so it is an appropriate place to put additional resources. Must not be `null`.
      Returns:
        The `EntityLinker` instance for the `properties` configuration.
      Throws:
        `IOException` - Thrown if IO errors occurred.
        `IllegalArgumentException` - Thrown if parameters were invalid.

    - #### getLinker

          public static EntityLinker<?> getLinker​(EntityLinkerProperties properties)
                                           throws IOException

      Retrieves a `EntityLinker` instance matching the `properties` configuration.
      Parameters:
        `properties` - An object that extends `EntityLinkerProperties`. This object will be passed into the `EntityLinker.init(EntityLinkerProperties)` method, so it is an appropriate place to put additional resources. Must not be `null`.
      Returns:
        The `EntityLinker` instance for the `properties` configuration.
      Throws:
        `IOException` - Thrown if IO errors occurred.
        `IllegalArgumentException` - Thrown if parameters were invalid.